curl https://api.goshippo.com/orders/ \
-H "Authorization: ShippoToken <API_TOKEN>"import shippo
from shippo.models import components, operations
s = shippo.Shippo(
api_key_header='ShippoToken <API_TOKEN>',
shippo_api_version='2018-02-08',
)
res = s.orders.list(request=operations.ListOrdersRequest(
order_status=[
components.OrderStatusEnum.PAID,
],
shop_app=components.OrderShopAppEnum.SHIPPO,
))
if res is not None:
# handle response
passimport { Shippo } from "shippo";
const shippo = new Shippo({
apiKeyHeader: "ShippoToken <API_TOKEN>",
shippoApiVersion: "2018-02-08",
});
async function run() {
const result = await shippo.orders.list({
orderStatus: [
"PAID",
],
shopApp: "Shippo",
});
// Handle the result
console.log(result);
}
run();using Shippo;
using Shippo.Models.Components;
using Shippo.Models.Requests;
using System.Collections.Generic;
var sdk = new ShippoSDK(
apiKeyHeader: "ShippoToken <API_TOKEN>",
shippoApiVersion: "2018-02-08"
);
ListOrdersRequest req = new ListOrdersRequest() {
OrderStatus = new List<OrderStatusEnum>() {
OrderStatusEnum.Paid,
},
ShopApp = OrderShopAppEnum.Shippo,
};
var res = await sdk.Orders.ListAsync(req);
// handle responsedeclare(strict_types=1);
require 'vendor/autoload.php';
use Shippo\API;
use Shippo\API\Models\Components;
use Shippo\API\Models\Operations;
$sdk = API\Shippo::builder()
->setSecurity(
'ShippoToken <API_TOKEN>'
)
->setShippoApiVersion('2018-02-08')
->build();
$request = new Operations\ListOrdersRequest(
orderStatus: [
Components\OrderStatusEnum::Paid,
],
shopApp: Components\OrderShopAppEnum::Shippo,
);
$response = $sdk->orders->list(
request: $request
);
if ($response->orderPaginatedList !== null) {
// handle response
}package hello.world;
import com.goshippo.shippo_sdk.Shippo;
import com.goshippo.shippo_sdk.models.components.OrderShopAppEnum;
import com.goshippo.shippo_sdk.models.components.OrderStatusEnum;
import com.goshippo.shippo_sdk.models.operations.ListOrdersRequest;
import com.goshippo.shippo_sdk.models.operations.ListOrdersResponse;
import java.lang.Exception;
import java.util.List;
public class Application {
public static void main(String[] args) throws Exception {
Shippo sdk = Shippo.builder()
.apiKeyHeader("ShippoToken <API_TOKEN>")
.shippoApiVersion("2018-02-08")
.build();
ListOrdersRequest req = ListOrdersRequest.builder()
.orderStatus(List.of(
OrderStatusEnum.PAID))
.shopApp(OrderShopAppEnum.SHIPPO)
.build();
ListOrdersResponse res = sdk.orders().list()
.request(req)
.call();
if (res.orderPaginatedList().isPresent()) {
// handle response
}
}
}const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.goshippo.com/orders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.goshippo.com/orders"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}require 'uri'
require 'net/http'
url = URI("https://api.goshippo.com/orders")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"next": "baseurl?page=3&results=10",
"previous": "baseurl?page=1&results=10",
"results": [
{
"placed_at": "2016-09-23T01:28:12Z",
"to_address": {
"country": "US",
"name": "Shwan Ippotle",
"company": "Shippo",
"street1": "215 Clayton St.",
"street2": "<string>",
"street3": "",
"street_no": "",
"city": "San Francisco",
"state": "CA",
"zip": "94117",
"phone": "+1 555 341 9393",
"email": "shippotle@shippo.com",
"is_residential": true,
"metadata": "Customer ID 123456",
"is_complete": true,
"latitude": 123,
"longitude": 123,
"object_created": "2014-07-09T02:19:13.174Z",
"object_id": "d799c2679e644279b59fe661ac8fa488",
"object_owner": "shippotle@shippo.com",
"object_updated": "2014-07-09T02:19:13.174Z",
"validation_results": {
"is_valid": false,
"messages": [
{
"code": "Unknown Street",
"source": "Shippo Address Validator",
"text": "City, State and ZIP Code are valid, but street address is not a match.",
"type": "address_warning"
}
]
},
"test": false
},
"currency": "USD",
"notes": "This customer is a VIP",
"order_number": "#1068",
"order_status": "PAID",
"shipping_cost": "12.83",
"shipping_cost_currency": "USD",
"shipping_method": "USPS First Class Package",
"subtotal_price": "12.1",
"total_price": "24.93",
"total_tax": "0.0",
"weight": "0.4",
"weight_unit": "lb",
"from_address": {
"country": "US",
"name": "Shwan Ippotle",
"company": "Shippo",
"street1": "215 Clayton St.",
"street2": "<string>",
"street3": "",
"street_no": "",
"city": "San Francisco",
"state": "CA",
"zip": "94117",
"phone": "+1 555 341 9393",
"email": "shippotle@shippo.com",
"is_residential": true,
"metadata": "Customer ID 123456",
"is_complete": true,
"latitude": 123,
"longitude": 123,
"object_created": "2014-07-09T02:19:13.174Z",
"object_id": "d799c2679e644279b59fe661ac8fa488",
"object_owner": "shippotle@shippo.com",
"object_updated": "2014-07-09T02:19:13.174Z",
"validation_results": {
"is_valid": false,
"messages": [
{
"code": "Unknown Street",
"source": "Shippo Address Validator",
"text": "City, State and ZIP Code are valid, but street address is not a match.",
"type": "address_warning"
}
]
},
"test": false
},
"line_items": [
{
"currency": "USD",
"manufacture_country": "US",
"max_delivery_time": "2016-07-23T00:00:00Z",
"max_ship_time": "2016-07-23T00:00:00Z",
"quantity": 20,
"sku": "HM-123",
"title": "Hippo Magazines",
"total_price": "12.1",
"variant_title": "June Edition",
"weight": "0.4",
"weight_unit": "lb",
"object_id": "abf7d5675d744b6ea9fdb6f796b28f28"
}
],
"object_id": "adcfdddf8ec64b84ad22772bce3ea37a",
"object_owner": "shippotle@shippo.com",
"shop_app": "Shippo",
"transactions": [
{}
]
}
]
}{}List all orders
Returns a list of all order objects.
curl https://api.goshippo.com/orders/ \
-H "Authorization: ShippoToken <API_TOKEN>"import shippo
from shippo.models import components, operations
s = shippo.Shippo(
api_key_header='ShippoToken <API_TOKEN>',
shippo_api_version='2018-02-08',
)
res = s.orders.list(request=operations.ListOrdersRequest(
order_status=[
components.OrderStatusEnum.PAID,
],
shop_app=components.OrderShopAppEnum.SHIPPO,
))
if res is not None:
# handle response
passimport { Shippo } from "shippo";
const shippo = new Shippo({
apiKeyHeader: "ShippoToken <API_TOKEN>",
shippoApiVersion: "2018-02-08",
});
async function run() {
const result = await shippo.orders.list({
orderStatus: [
"PAID",
],
shopApp: "Shippo",
});
// Handle the result
console.log(result);
}
run();using Shippo;
using Shippo.Models.Components;
using Shippo.Models.Requests;
using System.Collections.Generic;
var sdk = new ShippoSDK(
apiKeyHeader: "ShippoToken <API_TOKEN>",
shippoApiVersion: "2018-02-08"
);
ListOrdersRequest req = new ListOrdersRequest() {
OrderStatus = new List<OrderStatusEnum>() {
OrderStatusEnum.Paid,
},
ShopApp = OrderShopAppEnum.Shippo,
};
var res = await sdk.Orders.ListAsync(req);
// handle responsedeclare(strict_types=1);
require 'vendor/autoload.php';
use Shippo\API;
use Shippo\API\Models\Components;
use Shippo\API\Models\Operations;
$sdk = API\Shippo::builder()
->setSecurity(
'ShippoToken <API_TOKEN>'
)
->setShippoApiVersion('2018-02-08')
->build();
$request = new Operations\ListOrdersRequest(
orderStatus: [
Components\OrderStatusEnum::Paid,
],
shopApp: Components\OrderShopAppEnum::Shippo,
);
$response = $sdk->orders->list(
request: $request
);
if ($response->orderPaginatedList !== null) {
// handle response
}package hello.world;
import com.goshippo.shippo_sdk.Shippo;
import com.goshippo.shippo_sdk.models.components.OrderShopAppEnum;
import com.goshippo.shippo_sdk.models.components.OrderStatusEnum;
import com.goshippo.shippo_sdk.models.operations.ListOrdersRequest;
import com.goshippo.shippo_sdk.models.operations.ListOrdersResponse;
import java.lang.Exception;
import java.util.List;
public class Application {
public static void main(String[] args) throws Exception {
Shippo sdk = Shippo.builder()
.apiKeyHeader("ShippoToken <API_TOKEN>")
.shippoApiVersion("2018-02-08")
.build();
ListOrdersRequest req = ListOrdersRequest.builder()
.orderStatus(List.of(
OrderStatusEnum.PAID))
.shopApp(OrderShopAppEnum.SHIPPO)
.build();
ListOrdersResponse res = sdk.orders().list()
.request(req)
.call();
if (res.orderPaginatedList().isPresent()) {
// handle response
}
}
}const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.goshippo.com/orders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.goshippo.com/orders"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}require 'uri'
require 'net/http'
url = URI("https://api.goshippo.com/orders")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"next": "baseurl?page=3&results=10",
"previous": "baseurl?page=1&results=10",
"results": [
{
"placed_at": "2016-09-23T01:28:12Z",
"to_address": {
"country": "US",
"name": "Shwan Ippotle",
"company": "Shippo",
"street1": "215 Clayton St.",
"street2": "<string>",
"street3": "",
"street_no": "",
"city": "San Francisco",
"state": "CA",
"zip": "94117",
"phone": "+1 555 341 9393",
"email": "shippotle@shippo.com",
"is_residential": true,
"metadata": "Customer ID 123456",
"is_complete": true,
"latitude": 123,
"longitude": 123,
"object_created": "2014-07-09T02:19:13.174Z",
"object_id": "d799c2679e644279b59fe661ac8fa488",
"object_owner": "shippotle@shippo.com",
"object_updated": "2014-07-09T02:19:13.174Z",
"validation_results": {
"is_valid": false,
"messages": [
{
"code": "Unknown Street",
"source": "Shippo Address Validator",
"text": "City, State and ZIP Code are valid, but street address is not a match.",
"type": "address_warning"
}
]
},
"test": false
},
"currency": "USD",
"notes": "This customer is a VIP",
"order_number": "#1068",
"order_status": "PAID",
"shipping_cost": "12.83",
"shipping_cost_currency": "USD",
"shipping_method": "USPS First Class Package",
"subtotal_price": "12.1",
"total_price": "24.93",
"total_tax": "0.0",
"weight": "0.4",
"weight_unit": "lb",
"from_address": {
"country": "US",
"name": "Shwan Ippotle",
"company": "Shippo",
"street1": "215 Clayton St.",
"street2": "<string>",
"street3": "",
"street_no": "",
"city": "San Francisco",
"state": "CA",
"zip": "94117",
"phone": "+1 555 341 9393",
"email": "shippotle@shippo.com",
"is_residential": true,
"metadata": "Customer ID 123456",
"is_complete": true,
"latitude": 123,
"longitude": 123,
"object_created": "2014-07-09T02:19:13.174Z",
"object_id": "d799c2679e644279b59fe661ac8fa488",
"object_owner": "shippotle@shippo.com",
"object_updated": "2014-07-09T02:19:13.174Z",
"validation_results": {
"is_valid": false,
"messages": [
{
"code": "Unknown Street",
"source": "Shippo Address Validator",
"text": "City, State and ZIP Code are valid, but street address is not a match.",
"type": "address_warning"
}
]
},
"test": false
},
"line_items": [
{
"currency": "USD",
"manufacture_country": "US",
"max_delivery_time": "2016-07-23T00:00:00Z",
"max_ship_time": "2016-07-23T00:00:00Z",
"quantity": 20,
"sku": "HM-123",
"title": "Hippo Magazines",
"total_price": "12.1",
"variant_title": "June Edition",
"weight": "0.4",
"weight_unit": "lb",
"object_id": "abf7d5675d744b6ea9fdb6f796b28f28"
}
],
"object_id": "adcfdddf8ec64b84ad22772bce3ea37a",
"object_owner": "shippotle@shippo.com",
"shop_app": "Shippo",
"transactions": [
{}
]
}
]
}{}Authorizations
API key authentication using the ShippoToken scheme. Format: Authorization: ShippoToken <API_TOKEN> Example: Authorization: ShippoToken shippo_live_abc123
Headers
Optional string used to pick a non-default API version to use. See our API version guide.
"2018-02-08"
Query Parameters
The page number you want to select
The number of results to return per page (max 100)
x <= 100Filter orders by order status
Current state of the order. See the orders tutorial for the logic of how the status is handled.
UNKNOWN, AWAITPAY, PAID, REFUNDED, CANCELLED, PARTIALLY_FULFILLED, SHIPPED Filter orders by shop app Platform the order was created on and, if applicable, imported from. Orders created via the Shippo API or dashboard will have the value "Shippo".
Amazon, Bigcommerce, CSV_Import, eBay, ePages, Etsy, Godaddy, Magento, Shippo, Shopify, Spreecommerce, StripeRelay, Walmart, Weebly, WooCommerce "Shippo"
Filter orders created after the input date and time (ISO 8601 UTC format). This is based on the
placed_at field, meaning when the order has been placed, not when the order object was created.
Filter orders created before the input date and time (ISO 8601 UTC format). This is based on the
placed_at field, meaning when the order has been placed, not when the order object was created.
Was this page helpful?